import Vue from 'vue';
import Vuex from 'vuex';
import $request from '../lib/request.js';
Vue.use(Vuex);
const baseurl = 'http://192.168.3.45:18090';
const api = {
  imgQuery: '/api/cms/imgnews/query',
  contentQuery: '/api/cms/contents/query'
};

const state = () => ({
  imgList: [],
  contentList: [],
  details: {}
});

const actions = {
  async imgQuery({ commit }) {
    const res = await $request.get(`${baseurl}${api.imgQuery}`);
    commit('imgQuery', res[1]?.data);
    return res;
  },
  async contentQuery({ commit }, payload) {
    const res = await $request.get(`${baseurl}${api.contentQuery}`, payload);
    commit('contentQuery', res[1]?.data);
    return res;
  },
};

const mutations = {
  imgQuery(state, payload) {
    state.imgList = payload?.data;
  },
  contentQuery(state, payload) {
    state.contentList = payload?.data;
  },
};

export default new Vuex.Store({
  state,
  mutations,
  actions,
  modules: {}
});
